#
# spec file for package python-regex
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-regex
Version:        2017.06.07
Release:        1.1
Summary:        Alternative regular expression module, to replace re
License:        Python-2.0
Group:          Development/Libraries/Python
Url:            https://bitbucket.org/mrabarnett/mrab-regex
Source:         https://files.pythonhosted.org/packages/source/r/regex/regex-%{version}.tar.gz
BuildRequires:  python-devel

%description
This new regex implementation is intended eventually to
replace Python’s current re module implementation.

For testing and comparison with the current 're' module
the new implementation is in the form of a module called
'regex'.

%prep
%setup -q -n regex-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README
%doc docs/*
%{python_sitearch}/*

%changelog
* Fri Jun 16 2017 ecsos@opensuse.org
- Update to 2017.06.07
  * Too many changes to list
* Sat Sep 17 2016 toddrme2178@gmail.com
- Update to 2016.08.27
  * Too many changes to list
- Complete rewrite of the .spec file.
* Wed May  9 2012 froh@suse.com
- update to current version 0.1.20120506
* Tue Oct  4 2011 jw@suse.com
- initial pull from pypi
